runkit_function_rename
runkit_lint_file
runkit Functions
PHP Manual

# runkit_import

(PECL runkit >= 0.7.0)

runkit_import — Process a PHP file importing function and class definitions, overwriting where appropriate

### Description

bool runkit_import ( string `$filename` [, int `$flags` = RUNKIT_IMPORT_CLASS_METHODS ] )

Similar to include however any code residing outside of a function or class is simply ignored. Additionally, depending on the value of `flags`, any functions or classes which already exist in the currently running environment will be automatically overwritten by their new definitions.

### Parameters

`filename`

  Filename to import function and class definitions from

`flags`

  Bitwise OR of the `RUNKIT_IMPORT_*` family of constants.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

runkit_function_rename
runkit_lint_file
runkit Functions
PHP Manual